Create Brand
curl --request POST \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/branding \
--header 'Content-Type: application/json' \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>' \
--data '
{
"brand": {
"name": "Voucherify PSA",
"privacy_policy_url": null,
"terms_of_use_url": null,
"permission_reminder": "You are receiving this email because you opted in at our website.",
"website_url": "voucherify.io"
},
"address": {
"street": "Porcelanowa 23",
"city": "Katowice",
"postal": "43-246",
"state": null,
"country": "Poland"
},
"contact": {
"email": "support@voucherify.io",
"phone": null
}
}
'{
"id": "brd_0eb55234024e226d9d",
"brand": {
"name": "Voucherify PSA",
"privacy_policy_url": null,
"terms_of_use_url": null,
"permission_reminder": "You are receiving this email because you opted in at our website.",
"website_url": "voucherify.io"
},
"address": {
"street": "Porcelanowa 23",
"city": "Katowice",
"postal": "43-246",
"state": null,
"country": "Poland"
},
"contact": {
"email": "support@voucherify.io",
"phone": null
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Invalid request payload JSON format"
}{
"code": 401,
"message": "Unauthorized",
"key": "unauthorized"
}{
"code": 402,
"message": "Payment required",
"details": "Your current plan does not include a feature required to perform this operation.",
"key": "missing_required_feature"
}{
"code": 404,
"message": "Resource not found",
"details": "Cannot find project with id proj_5itvmU7"
}{
"code": 409,
"key": "branding_exist",
"message": "Branding exist",
"details": "Cannot exist more than one branding for given project",
"request_id": "v-0ead51b4ff49d9319d"
}Create Brand
Creates a new brand configuration.
You can have only one brand configured for a project.
📘 White Labelling
The white labelling settings which can be found in Project Settings > Brand Details and which are available only for Enterprise clients as a separate service can be configured only in the user interface.
POST
/
management
/
v1
/
projects
/
{projectId}
/
branding
Create Brand
curl --request POST \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/branding \
--header 'Content-Type: application/json' \
--header 'X-Management-Id: <api-key>' \
--header 'X-Management-Token: <api-key>' \
--data '
{
"brand": {
"name": "Voucherify PSA",
"privacy_policy_url": null,
"terms_of_use_url": null,
"permission_reminder": "You are receiving this email because you opted in at our website.",
"website_url": "voucherify.io"
},
"address": {
"street": "Porcelanowa 23",
"city": "Katowice",
"postal": "43-246",
"state": null,
"country": "Poland"
},
"contact": {
"email": "support@voucherify.io",
"phone": null
}
}
'{
"id": "brd_0eb55234024e226d9d",
"brand": {
"name": "Voucherify PSA",
"privacy_policy_url": null,
"terms_of_use_url": null,
"permission_reminder": "You are receiving this email because you opted in at our website.",
"website_url": "voucherify.io"
},
"address": {
"street": "Porcelanowa 23",
"city": "Katowice",
"postal": "43-246",
"state": null,
"country": "Poland"
},
"contact": {
"email": "support@voucherify.io",
"phone": null
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Invalid request payload JSON format"
}{
"code": 401,
"message": "Unauthorized",
"key": "unauthorized"
}{
"code": 402,
"message": "Payment required",
"details": "Your current plan does not include a feature required to perform this operation.",
"key": "missing_required_feature"
}{
"code": 404,
"message": "Resource not found",
"details": "Cannot find project with id proj_5itvmU7"
}{
"code": 409,
"key": "branding_exist",
"message": "Branding exist",
"details": "Cannot exist more than one branding for given project",
"request_id": "v-0ead51b4ff49d9319d"
}Path Parameters
Provide the unique identifier of the project.
Example:
"proj_TrlkLiH4"
Body
application/json
Defines a brand configuration.
Request body schema for POST /management/v1/projects/{projectId}/branding.
Response
Returns the details about the brand configuration.
Response body schema for POST /management/v1/projects/{projectId}/branding.
Last modified on July 7, 2026
Was this page helpful?
⌘I

